%define oname   memcache-client

Name:       ruby-%{oname}
Version:    1.8.5
Release:    %mkrel 3
Summary:    A Ruby library for accessing memcached
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/mperham/memcache-client
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(flexmock)
BuildRequires: rubygem(rake)
BuildRequires: memcached
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A Ruby library for accessing memcached.

%files
%defattr(-, root, root, -)
%{_bindir}/memcached_top
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
/etc/init.d/memcached start
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 06 2011 shikamaru <shikamaru> 1.8.5-3.mga1
+ Revision: 47954
- Add check section and corresponding BR

* Fri Jan 28 2011 shikamaru <shikamaru> 1.8.5-2.mga1
+ Revision: 42492
- imported package ruby-memcache-client


* Fri Jan 28 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.8.5-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 1.8.5-1mdv2011.0
+ Revision: 623509
- import rubygem-memcache-client

